petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscIsNormalReal

Returns PETSC_TRUE if the input value satisfies isnormal()

### Synopsis

    #if defined(PETSC_USE_REAL___FLOAT128)
    PetscBool PetscIsNormalReal(PetscReal a)

### Input Parameter

a -the PetscReal Value Many br

Notes: uses the C99 standard isnormal() on systems where they exist. Many brUses isnormalq() with __float128 Many brOtherwises always returns true Many br

Many br

Level:beginner
Location:src/sys/utils/mathinf.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages